Bug 1576272 (CVE-2018-5173) - CVE-2018-5173 Mozilla: File name spoofing of Downloads panel with Unicode characters
Summary: CVE-2018-5173 Mozilla: File name spoofing of Downloads panel with Unicode cha...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5173
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:15 UTC by Doran Moppert
Modified: 2021-02-17 00:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:13 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:15:38 UTC
The filename appearing in the `Downloads` panel improperly renders some Unicode characters, allowing for the file name to be spoofed. This can be used to obscure the file extension of potentially executable files from user view in the panel. 

*Note: the dialog to open the file will show the full, correct filename and whether it is executable or not.*   



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5173

Comment 1 Doran Moppert 2018-05-09 07:15:42 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Abdulrahman Alqabandi


Note You need to log in before you can comment on or make changes to this bug.